Skip Menu |
 

This queue is for tickets about the Alien-libtermkey CPAN distribution.

Report information
The Basics
Id: 122634
Status: patched
Priority: 0/
Queue: Alien-libtermkey

People
Owner: Nobody in particular
Requestors: corion [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.18
Fixed in: (no value)



Subject: Fails to install on Debian 9 (Stretch)
MIME-Version: 1.0
X-Mailer: MIME-tools 5.504 (Entity 5.504)
Content-Disposition: inline
X-RT-Interface: Web
Message-ID: <rt-4.0.18-27647-1501323629-1809.0-0-0 [...] rt.cpan.org>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
X-RT-Encrypt: 0
X-RT-Sign: 0
Content-Length: 582
Download (untitled) / with headers
text/plain 582b
With libunibilium installed, this module fails to install with: Looking for pkg-config unibilium... found OS unsupported - unable to find GNU libtool I would assume that Alien::libtermkey includes everything that is needed to build the bundled libtermkey. Also, after apt-get install libtermkey-dev the module still fails with Looking for pkg-config unibilium... found OS unsupported - unable to find GNU libtool I would expect the module here to recognize that we won't need its bundled version and thus install. This prevents installation of Tickit ...
MIME-Version: 1.0
In-Reply-To: <rt-4.0.18-27647-1501323629-1809.0-0-0 [...] rt.cpan.org>
X-Mailer: MIME-tools 5.504 (Entity 5.504)
Content-Disposition: inline
X-RT-Interface: Web
References: <rt-4.0.18-27647-1501323629-1809.0-0-0 [...] rt.cpan.org>
Content-Type: text/plain; charset="utf-8"
Message-ID: <rt-4.0.18-28820-1501327789-1323.122634-0-0 [...] rt.cpan.org>
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
X-RT-Encrypt: 0
X-RT-Sign: 0
Content-Length: 891
Download (untitled) / with headers
text/plain 891b
On Sat Jul 29 06:20:33 2017, CORION wrote: Show quoted text
> With libunibilium installed, this module fails to install with: > > Looking for pkg-config unibilium... found > OS unsupported - unable to find GNU libtool > > I would assume that Alien::libtermkey includes everything that is > needed to build the bundled libtermkey.
Well it has the source, sure, but it still needs the actual build tools on the platform in question - gcc, make, libtool, etc.. Show quoted text
> Also, after > > apt-get install libtermkey-dev > > the module still fails with > > Looking for pkg-config unibilium... found > OS unsupported - unable to find GNU libtool > > I would expect the module here to recognize that we won't need its > bundled version and > thus install.
Ah now that's a good point. If it's going to use the pkg-config built version it won't need the libtool itself to build it. I should fix that. -- Paul Evans
MIME-Version: 1.0
X-Spam-Status: No, score=-5.9 tagged_above=-99.9 required=10 tests=[BAYES_00=-1.9, FROM_OUR_RT=-4] autolearn=ham
In-Reply-To: <rt-4.0.18-28820-1501327789-147.122634-6-0 [...] rt.cpan.org>
X-Cpan.org: This message routed through the cpan.org mail forwarding service. Please use PAUSE pause.perl.org to configure your delivery settings.
X-Spam-Flag: NO
X-RT-Interface: API
References: <RT-Ticket-122634 [...] rt.cpan.org> <rt-4.0.18-27647-1501323629-1809.122634-6-0 [...] rt.cpan.org> <rt-4.0.18-28820-1501327789-147.122634-6-0 [...] rt.cpan.org>
X-Virus-Scanned: Debian amavisd-new at bestpractical.com
Message-ID: <d4e3825e-fd8e-e897-d6c7-cf07402ddeeb [...] cpan.org>
content-type: text/plain; charset="utf-8"; format="flowed"
X-RT-Original-Encoding: utf-8
X-Spam-Score: -5.9
Received: from localhost (localhost [127.0.0.1]) by hipster.bestpractical.com (Postfix) with ESMTP id 2E42824041B for <cpan-bug+Alien-libtermkey [...] hipster.bestpractical.com>; Sat, 29 Jul 2017 07:35:28 -0400 (EDT)
Received: from hipster.bestpractical.com ([127.0.0.1]) by localhost (hipster.bestpractical.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id 1FhZfoazseOn for <cpan-bug+Alien-libtermkey [...] hipster.bestpractical.com>; Sat, 29 Jul 2017 07:35:26 -0400 (EDT)
Received: from xx1.develooper.com (xx1.develooper.com [207.171.7.115]) by hipster.bestpractical.com (Postfix) with ESMTPS id 5CE952400D2 for <bug-Alien-libtermkey [...] rt.cpan.org>; Sat, 29 Jul 2017 07:35:26 -0400 (EDT)
Received: from localhost (xx1.develooper.com [127.0.0.1]) by localhost (Postfix) with ESMTP id 300BD11D41B for <bug-Alien-libtermkey [...] rt.cpan.org>; Sat, 29 Jul 2017 04:35:25 -0700 (PDT)
Received: from xx1.develooper.com (xx1.develooper.com [127.0.0.1]) by localhost (Postfix) with SMTP id 3816B11D879 for <bug-Alien-libtermkey [...] rt.cpan.org>; Sat, 29 Jul 2017 04:35:22 -0700 (PDT)
Received: from mail.corion.net (mail.corion.net [83.169.23.242]) (using TLSv1 with cipher AES128-SHA (128/128 bits)) (No client certificate requested) by xx1.develooper.com (Postfix) with ESMTPS id C196211D9AD for <bug-Alien-libtermkey [...] rt.cpan.org>; Sat, 29 Jul 2017 04:35:03 -0700 (PDT)
Received: from p4fcd248b.dip0.t-ipconnect.de ([79.205.36.139] helo=aliens.maischein.home) by mail.corion.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.84_2) (envelope-from <corion [...] cpan.org>) id 1dbQ1N-0002tS-Ji for bug-Alien-libtermkey [...] rt.cpan.org; Sat, 29 Jul 2017 13:35:01 +0200
Received: from cabininthewoods.maischein.home ([192.168.1.92]) by aliens.maischein.home with esmtp (Exim 4.89) (envelope-from <corion [...] cpan.org>) id 1dbQ1M-0006W7-UT for bug-Alien-libtermkey [...] rt.cpan.org; Sat, 29 Jul 2017 13:35:00 +0200
Delivered-To: cpan-bug+Alien-libtermkey [...] hipster.bestpractical.com
Subject: Re: [rt.cpan.org #122634] Fails to install on Debian 9 (Stretch)
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Thunderbird/52.2.1
Return-Path: <corion [...] cpan.org>
X-Original-To: cpan-bug+Alien-libtermkey [...] hipster.bestpractical.com
X-RT-Mail-Extension: alien-libtermkey
Date: Sat, 29 Jul 2017 13:34:52 +0200
X-PMX-Spam: Gauge=IIIIIIII, Probability=8%, Report=' HTML_00_01 0.05, HTML_00_10 0.05, BODYTEXTP_SIZE_3000_LESS 0, BODY_SIZE_1100_1199 0, BODY_SIZE_2000_LESS 0, BODY_SIZE_5000_LESS 0, BODY_SIZE_7000_LESS 0, IN_REP_TO 0, LEGITIMATE_SIGNS 0, MSG_THREAD 0, NO_URI_HTTPS 0, REFERENCES 0, SPF_NONE 0, __ANY_URI 0, __BOUNCE_CHALLENGE_SUBJ 0, __BOUNCE_NDR_SUBJ_EXEMPT 0, __CT 0, __CTE 0, __CT_TEXT_PLAIN 0, __FORWARDED_MSG 0, __HAS_FROM 0, __HAS_MSGID 0, __IN_REP_TO 0, __MIME_TEXT_ONLY 0, __MIME_TEXT_P 0, __MIME_TEXT_P1 0, __MIME_VERSION 0, __MOZILLA_USER_AGENT 0, __NO_HTML_TAG_RAW 0, __REFERENCES 0, __SANE_MSGID 0, __SUBJ_ALPHA_NEGATE 0, __TO_MALFORMED_2 0, __TO_NO_NAME 0, __URI_NO_MAILTO 0, __URI_NO_WWW 0, __URI_NS , __USER_AGENT 0, __blackholes.mail-abuse.org_TIMEOUT , __zen.spamhaus.org_ERROR '
X-Spam-Level:
X-PMX-Version: 5.6.1.2065439, Antispam-Engine: 2.7.2.376379, Antispam-Data: 2017.7.29.112715
To: bug-Alien-libtermkey [...] rt.cpan.org
Content-Transfer-Encoding: 7bit
From: Max Maischein <corion [...] cpan.org>
RT-Message-ID: <rt-4.0.18-28822-1501328129-430.122634-0-0 [...] rt.cpan.org>
Content-Length: 1111
Hello Paul, Show quoted text
>> With libunibilium installed, this module fails to install with: >> >> Looking for pkg-config unibilium... found >> OS unsupported - unable to find GNU libtool >> >> I would assume that Alien::libtermkey includes everything that is >> needed to build the bundled libtermkey.
> > Well it has the source, sure, but it still needs the actual build tools on the platform in question - gcc, make, libtool, etc..
Aaah - so this is where I misunderstood what libtool is about. I thought it was another incarnation of pkg-config. So the only valid point in my report is that it doesn't recognize if the library is already available on a system. Show quoted text
>> after >> >> apt-get install libtermkey-dev >> >> the module still fails with >> >> Looking for pkg-config unibilium... found >> OS unsupported - unable to find GNU libtool >> >> I would expect the module here to recognize that we won't need its >> bundled version and >> thus install.
> > Ah now that's a good point. If it's going to use the pkg-config built version it won't need the libtool itself to build it. I should fix that. >
Thanks, -max
MIME-Version: 1.0
In-Reply-To: <rt-4.0.18-28822-1501328129-430.122634-0-0 [...] rt.cpan.org>
X-Mailer: MIME-tools 5.504 (Entity 5.504)
Content-Disposition: inline
X-RT-Interface: Web
References: <RT-Ticket-122634 [...] rt.cpan.org> <rt-4.0.18-27647-1501323629-1809.122634-6-0 [...] rt.cpan.org> <rt-4.0.18-28820-1501327789-147.122634-6-0 [...] rt.cpan.org> <d4e3825e-fd8e-e897-d6c7-cf07402ddeeb [...] cpan.org> <rt-4.0.18-28822-1501328129-430.122634-0-0 [...] rt.cpan.org>
Content-Type: text/plain; charset="utf-8"
Message-ID: <rt-4.0.18-29852-1501329806-1827.122634-0-0 [...] rt.cpan.org>
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
X-RT-Encrypt: 0
X-RT-Sign: 0
Content-Length: 696
Download (untitled) / with headers
text/plain 696b
On Sat Jul 29 07:35:29 2017, CORION wrote: Show quoted text
> Aaah - so this is where I misunderstood what libtool is about. I > thought > it was another incarnation of pkg-config.
In brief: libtool is a sort of portability wrapper around the various system C compilers, linkers, and other tools required for building a library. You invoke libtool in a standard "pretend it's the GNU ELF toolchain" way, and it translates for the system in question. It massively simplifies making portable Makefiles. Show quoted text
> > Ah now that's a good point. If it's going to use the pkg-config built > > version it won't need the libtool itself to build it. I should fix > > that.
Now fixed in 0.20, on its way to CPAN -- Paul Evans
MIME-Version: 1.0
In-Reply-To: <rt-4.0.18-29852-1501329806-1827.122634-0-0 [...] rt.cpan.org>
X-Mailer: MIME-tools 5.504 (Entity 5.504)
Content-Disposition: inline
X-RT-Interface: Web
References: <RT-Ticket-122634 [...] rt.cpan.org> <rt-4.0.18-27647-1501323629-1809.122634-6-0 [...] rt.cpan.org> <rt-4.0.18-28820-1501327789-147.122634-6-0 [...] rt.cpan.org> <d4e3825e-fd8e-e897-d6c7-cf07402ddeeb [...] cpan.org> <rt-4.0.18-28822-1501328129-430.122634-0-0 [...] rt.cpan.org> <rt-4.0.18-29852-1501329806-1827.122634-0-0 [...] rt.cpan.org>
Content-Type: text/plain; charset="utf-8"
Message-ID: <rt-4.0.18-28820-1501329873-40.122634-0-0 [...] rt.cpan.org>
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
X-RT-Encrypt: 0
X-RT-Sign: 0
Content-Length: 110
Download (untitled) / with headers
text/plain 110b
On Sat Jul 29 08:03:26 2017, PEVANS wrote: Show quoted text
> Now fixed in 0.20, on its way to CPAN
Er, 0.19. -- Paul Evans


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.